﻿using System;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace Schedule_ViewAppointmentsSample
{
	public class ScheduleSamplePage : ContentPage
	{
		public ScheduleSamplePage()
		{
			SfSchedule sfschedule = new SfSchedule();
			sfschedule.ScheduleView = ScheduleView.MonthView;
			sfschedule.ShowAppointmentsInline = true;
			ScheduleAppointmentCollection appointmentCollection = new ScheduleAppointmentCollection();

			DateTime currentDate = DateTime.Now;

			//Creating new event
			ScheduleAppointment appointment1 = new ScheduleAppointment();

			DateTime startTime = new DateTime(currentDate.Year, currentDate.Month, currentDate.Day, 10, 0, 0);
			DateTime endTime = new DateTime(currentDate.Year, currentDate.Month, currentDate.Day, 12, 0, 0);

			appointment1.StartTime = startTime;
			appointment1.EndTime = endTime;
			appointment1.Color = Color.Blue;
			appointment1.Subject = "Today";
			appointmentCollection.Add(appointment1);

			DateTime startTime2 = new DateTime(2017, 3, 10, 12, 0, 0);
			DateTime endTime2 = new DateTime(2017, 3, 10, 14, 10, 0, 0);

			ScheduleAppointment appointment2 = new ScheduleAppointment();
			appointment2.StartTime = startTime2;
			appointment2.EndTime = endTime2;
			appointment2.Color = Color.Red;
			appointment2.Subject = "March 10";
			appointmentCollection.Add(appointment2);

			DateTime startTime3 = new DateTime(2017, 4, 15, 10, 0, 0);
			DateTime endTime3 = new DateTime(2017, 4, 15, 12, 10, 0, 0);

			ScheduleAppointment appointment3 = new ScheduleAppointment();
			appointment3.StartTime = startTime3;
			appointment3.EndTime = endTime3;
			appointment3.Color = Color.Green;
			appointment3.Subject = "April 15";
			appointmentCollection.Add(appointment3);

			DateTime startTime4 = new DateTime(2017, 6, 20, 12, 0, 0);
			DateTime endTime4 = new DateTime(2017, 6, 20, 14, 10, 0, 0);

			ScheduleAppointment appointment4 = new ScheduleAppointment();
			appointment4.StartTime = startTime4;
			appointment4.EndTime = endTime4;
			appointment4.Color = Color.Yellow;
			appointment4.Subject = "June 20";
			appointmentCollection.Add(appointment4);

			DateTime startTime5 = new DateTime(2017, 7, 12, 12, 0, 0);
			DateTime endTime5 = new DateTime(2017, 7, 12, 14, 10, 0, 0);

			ScheduleAppointment appointment5 = new ScheduleAppointment();
			appointment5.StartTime = startTime5;
			appointment5.EndTime = endTime5;
			appointment5.Color = Color.Pink;
			appointment5.Subject = "July 12";
			appointmentCollection.Add(appointment5);
			sfschedule.DataSource = appointmentCollection;

			this.Content = sfschedule;

		}

	}
}

